/* ***********************************************************************
**
**	lcd.h
**
**  Copyright (C) 2008  Frank Hnefeld
**
**  DEM 240320A TMH-PW-N Display (Display-Elektronik.de)
**	 mit HX8346-A Controller
**
**
*********************************************************************** */


#ifndef _LCD_H
#define _LCD_H
	#include <avr/io.h>
	#include <avr/pgmspace.h>

	#ifndef XTAL
		#define XTAL                        8000000                // must be changed
	#endif

	#define DELAY_ONE_MILLISECOND       (XTAL / 4 / 1000)       // must > 8

	#define LCD_CTR_PORT		PORTG
	#define LCD_CTR_DIR			DDRG

	#define LCD_DATA_LB_PORT	PORTA
	#define LCD_DATA_LB_DIR		DDRA

	#define LCD_DATA_HB_PORT	PORTD
	#define LCD_DATA_HB_DIR		DDRD

	#define LCD_RD	   	0
	#define LCD_WR  	1
	#define LCD_RS	   	2
	#define LCD_RESET	3
	#define LCD_CS    	4

	void port_init_io(void);
	void lcd_wrcmd(char LcdReg ,char data);

	void mswait(uint16_t ms);

	void lcd_init(void);		// LCD initialise

#endif // ifndef LCD_H

